%define pkgname gnupg
%define	subrel	2

Summary:	GNU privacy guard - a free PGP replacement
Name:		gnupg2
Version:	2.0.11
Release:	%mkrel 1
License:	GPLv3
Group:		File tools
URL:		http://www.gnupg.org
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/%{pkgname}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Source2:	gpg-agent-X11-xinit.d
Source3:	gpg-agent-profile.d
Patch0:		gnupg-1.9.3-use-ImageMagick-for-photo.patch
BuildRequires:	openldap-devel
BuildRequires:  sendmail-command
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libassuan-devel >= 1.0.2
BuildRequires:	libksba-devel >= 1.0.2
BuildRequires:	zlib-devel
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:  docbook-utils
BuildRequires:  libreadline-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libcurl-devel
BuildRequires:	libusb-devel
BuildRequires:	bzip2-devel
BuildRequires:	libadns-devel
Requires(post):	info-install
Requires(preun): info-install
Requires:	info-install
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Requires:	dirmngr
Requires:	pinentry
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick

%build
%serverbuild

./autogen.sh

%configure2_5x \
	--libexecdir=%{_libdir}/gnupg2 \
	--enable-symcryptrun \
	--disable-rpath \
	--without-capabilities \
	--with-pkits-tests

# no parallel make (v2.0.5 at least)
%make

# all tests must pass on i586 and x86_64
%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std
install -d %{buildroot}/%{_sysconfdir}/X11/xinit.d
install %{SOURCE2} %{buildroot}/%{_sysconfdir}/X11/xinit.d/gpg-agent
install -d %{buildroot}/%{_sysconfdir}/profile.d
install %{SOURCE3} %{buildroot}/%{_sysconfdir}/profile.d/gpg-agent.sh

# remove this from package because the content of options.skel is the
# identical for both gnupg 1/2, except for comment
rm -rf %{buildroot}%{_datadir}/gnupg

rm -rf %{buildroot}%{_docdir}/gnupg

%find_lang %{name}

%post
%_install_info gnupg.info

%preun
%_remove_install_info gnupg.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO ChangeLog
%doc doc/FAQ doc/HACKING doc/KEYSERVER doc/OpenPGP doc/TRANSLATE doc/DETAILS doc/faq.html
%doc doc/examples
%attr(0755,root,root) %{_sysconfdir}/X11/xinit.d/gpg-agent
%attr(0755,root,root) %{_sysconfdir}/profile.d/gpg-agent.sh
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/gpgconf
%{_bindir}/kbxutil
%{_bindir}/sc*
%{_bindir}/watchgnupg
%{_bindir}/gpgsm-gencert.sh
%{_bindir}/gpgkey2ssh
%{_bindir}/gpg-connect-agent
%{_bindir}/gpgparsemail
%{_bindir}/gpg2
%{_bindir}/gpgv2
%{_bindir}/symcryptrun
%{_sbindir}/addgnupghome
%{_sbindir}/applygnupgdefaults
%dir %{_libdir}/gnupg2
%{_libdir}/gnupg2/gpg-check-pattern
%{_libdir}/gnupg2/gpg-preset-passphrase
%{_libdir}/gnupg2/gpg-protect-tool
%{_libdir}/gnupg2/gnupg-pcsc-wrapper
%{_libdir}/gnupg2/gpg2keys_curl
%{_libdir}/gnupg2/gpg2keys_finger
%{_libdir}/gnupg2/gpg2keys_hkp
%{_libdir}/gnupg2/gpg2keys_kdns
%{_libdir}/gnupg2/gpg2keys_ldap
%{_infodir}/gnupg.info*
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/gpg-zip.1*
%{_mandir}/man1/gpg2.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/gpgsm-gencert.sh.1*
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgv2.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*


%changelog
* Wed Sep 02 2009 Lonyai Gergely <aleph@mandriva.org> 2.0.11-1.2mdv2009.1
+ Revision: 424367
- fix #53355
- add profile.d and X11/xinit.d scripts (Resolv: #53196)

* Wed Mar 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.11-1mdv2009.1
+ Revision: 348510
- Update to new version 2.0.11
- Include kdns support

* Wed Feb 25 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdv2009.1
+ Revision: 344702
- rebuilt against new readline

* Tue Jan 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.10-1mdv2009.1
+ Revision: 331498
- patch 2 is not needed anymore
- fix file list
- add more docs
- update to new version 2.0.10

* Sun Jan 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-5mdv2009.1
+ Revision: 324382
- disable capabilities, seems unsupported by the build system

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-4mdv2009.1
+ Revision: 321399
- drop the CVE-2006-3082 patch, allready in there... (caught by --fuzz=0)
- fix deps (cap-devel)

* Tue Jul 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-3mdv2009.0
+ Revision: 240835
- fix deps

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-2mdv2009.0
+ Revision: 209747
- added one gcc43 patch (debian)

* Thu Mar 27 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-1mdv2008.1
+ Revision: 190623
- 2.0.9 (fixes #39429 (vulns in gnupg 1.4.8 and gnupg2 2.0.8))

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.8-1mdv2008.1
+ Revision: 139652
- new version
- do not package COPYING file
- add missing buildrequires on libtermcap-devel, libcurl-devel, bzip2-devel and libusb-devel(this one enables smartcard reader driver)

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.7-4mdv2008.1
+ Revision: 137468
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.7-3mdv2008.1
+ Revision: 120446
- rebuild for assuan

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.7-1mdv2008.1
+ Revision: 100336
- new version
- drop patch 2 (fixed upstream)
- enable parallel build
- add %%check
- enable symcryptrun
- use linux capabilities
- enable additional tests

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.5-3mdv2008.0
+ Revision: 69906
- info file must be unregistered before being uninstalled
- kill file require on info-install

* Mon Jul 09 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.5-2mdv2008.0
+ Revision: 50544
- added patch from Gentoo to fix a problem discovered by make test in x86_64
- updated to version 2.0.5
- adjusted buildrequires (libksba and libassuan)
- no parallel make, doesn't work
- updated license tag to GPLv3

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.4-2mdv2008.0
+ Revision: 45092
- rebuild with new serverbuild macro (-fstack-protector-all)

* Wed May 09 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.4-1mdv2008.0
+ Revision: 25663
- updated to version 2.0.4


* Thu Mar 08 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.3-1mdv2007.1
+ Revision: 138365
- updated to version 2.0.3
- updated to version 2.0.2
- removed security patch that was already applied

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.1-2mdv2007.1
+ Revision: 103133
- added security patch for CVE-2006-6235

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.0.1-1mdv2007.1
+ Revision: 88675
- adjusted some buildrequires
- enabled full gnupg2 build
- updated to version 2.0.1
- dropped bug728 patch, already fixed
- fix overflow (upstream bug 728)
- commit update to version 2.0.0
- still need to update other libraries

* Thu Aug 31 2006 Andreas Hasenack <andreas@mandriva.com> 1.9.22-2mdv2007.0
+ Revision: 58916
- re-enable test on x86_64, it's working now (#20078)
- updated to version 1.9.22, fixing CVE-2006-3746
- Import gnupg2

* Thu Jun 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.9.20-3mdv2007.0
- added a security fix for CVE-2006-3082 (P2)

* Fri Jan 20 2006 Andreas Hasenack <andreas@mandriva.com> 1.9.20-2mdk
- skipping make check on x86_64, see:
  http://qa.mandriva.com/show_bug.cgi?id=20078

* Mon Jan 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.9.20-1mdk
- updated to version 1.9.20
- added new binary (gpgparsemail)
- Prereq -> Requires(foo)

* Fri Dec 02 2005 Andreas Hasenack <andreas@mandriva.com> 1.9.19-1mdk
- updated to version 1.9.19
- removed 64bit fixes patch, already applied
- added new binary, gpgkey2ssh
- added docbook-utils buildrequires
- added docbookfix patch to fix detection of some docbook utilities

* Tue Sep 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.9.16-4mdk
- 64-bit fixes

* Sat Jul 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.9.16-3mdk
- Rebuild
- Fix smtpdaemon
- mkrel

* Wed Jun 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.16-2mdk 
- buildrequires libassuan-devel >= 0.6.9

* Thu May 19 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.9.16-1mdk
- 1.9.16

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 1.9.10-1mdk
- New version
- Remove P1 (upstream)

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.9.8-1mdk
- New version
- Use tarball instead, signed upstream
- Requires new libpth
- Patch1: Fix typo which prevents compilation

* Fri May 07 2004 Olivier Blin <blino@mandrake.org> 1.9.3-3mdk
- buildrequires
- rebuild for new libgcrypt

